## lucli
Class Lucli

    java.lang.Object
      lucli.Lucli

    public class Lucli

extends java.lang.Object

Main class for lucli: the Lucene Command Line Interface. This class handles mostly the actual CLI part, command names, help, etc.

Field Summary
`static int` `MAX_TERMS`

Constructor Summary
`Lucli(java.lang.String[] args)` Main entry point.

Method Summary
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_TERMS

    public static final int MAX_TERMS

See Also:
  Constant Field Values

Constructor Detail

### Lucli

    public Lucli(java.lang.String[] args)
          throws java.io.IOException

  Main entry point. The first argument can be a filename with an application initialization file.

  Throws:
    `java.io.IOException`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.